<!-- 生成题库弹窗 -->
<template>
 <uni-popup ref="tipBigPopup" :animation="false" :is-mask-click="false"
  mask-background-color="rgba(0,0,0, 0.76);">
  <view class="ezy-tip-dialog sxtk-sc-dialog">
	  <view class="tip-content-box">
		   <view class="tip-title">{{title}}</view>
		   <view class="tip-content sxtk-content" v-if="content">
				<view class="content-text">
					<view>用户您好：</view>
				{{content}}
				</view>
		   </view>
		   <view class="tip-btn-box">
				<ezyActiveVue class="ezy-btn-active confirm-btn" @aclick="confirmBtn">下载到手机</ezyActiveVue>
				<ezyActiveVue class="ezy-btn-active not-confirm-btn" @aclick="handleClose">取消</ezyActiveVue>
		   </view>
	  </view>
  </view>
 </uni-popup>
</template>

<script setup>
 import { ref } from 'vue';
 import ezyActiveVue from "@/components/ezyActive/ezyActive.vue";
 const props = defineProps({
   title: {
     type: String,
     default: '温馨提示'
   },
   content: {
     type: String,
     default: ''
   },
 });
 const tipBigPopup = ref(null); // 索引
 const $emit = defineEmits(['confirm-btn'])
 // 打开弹窗
 function handleShow() {
  tipBigPopup.value.open();
 }
 // 取消
 function handleClose() {
  tipBigPopup.value.close();
 }
 // 确认
 function confirmBtn(){
  $emit('confirm-btn');
  tipBigPopup.value.close();
 }
 defineExpose({
   handleShow,
   handleClose
  })
</script>

<style>
</style>
